﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class scr_draw_sine : MonoBehaviour {

    public int meshSize;

    private LineRenderer lr;
    private float waveWidth = 5;

    // Use this for initialization
    void Start () {
        lr = GetComponent<LineRenderer>();
    }
	
	// Update is called once per frame
	void Update () {
        Vector3[] corners = new Vector3[meshSize];

        for (int i = 0; i < meshSize; i++) {
            float t = i * waveWidth / meshSize;
            corners[i] = new Vector3(t, wave(t, new float[]{2f, 1.5f}), 0);
        }
        lr.SetVertexCount(meshSize);
        lr.SetPositions(corners);
    }

    float wave(float t, float[] periods){
        float value = 0;
        for(int i = 0; i < periods.Length; i++) {
            float shift = Time.time;
            value += Mathf.Sin((t + shift) * periods[i] * Mathf.PI);
        }
        return value;
    }
}
