﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;
using UnityEngine.UI;

public class scr_obstacleBehavior: MonoBehaviour {

    public float speed = 0.2f;
    public float spawnX = 10;
    public List<string> types = new List<string> { "sine" };
    public List<float> periods = new List<float> { 0.5f };
    public List<float> amps = new List<float> { 2f };
    public int value = 1;

    private Rigidbody2D rb;
    private scr_draw_sine_copy playerScript;
    private Transform trans;
    private scr_score scoreScript;
    private GameObject player;
    private float prevTime;

    static int score = 0;

    void Start() {
        int typeChoice = Random.Range(0, 6);

        rb = GetComponent<Rigidbody2D>();
        playerScript = GameObject.Find("Player").GetComponent<scr_draw_sine_copy>();
        scoreScript = GameObject.FindWithTag("Score").GetComponent<scr_score>();
        trans = GetComponent<Transform>();
        trans.position = new Vector3(playerScript.origin.x + spawnX, playerScript.origin.y + playerScript.compositeWave(spawnX, types, periods, amps), 0);
        prevTime = Time.time;
        switch (typeChoice) {
            case 1:
                value = -10;
                setColor(Color.red);
                break;
            case 2:
                value = 10;
                setColor(Color.blue);
                break;
            default:
                value = 5;
                setColor(Color.green);
                break;
        }
    }

    void Update() {
        float shift = Time.time - prevTime;

        trans.position -= new Vector3(shift, 0, 0);
        prevTime = Time.time;
    }

    void OnTriggerEnter2D(Collider2D other){
        if (other.gameObject.tag == "Player") {
            scoreScript.setScore(value);
            Destroy(this.gameObject);
        }
    }

    void setColor(Color col) {
        GetComponent<SpriteRenderer>().color = col;
    }
}
