﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class scr_obstacleSpawner : MonoBehaviour {

    public GameObject obstacle;
    public float spawnRate = .2f;
    public List<string> types = new List<string>{ "sine", "square" };
    public List<float> periods = new List<float> { 0.5f, 0.75f };
    public List<float> amps = new List<float> { 1f, 1f };

    private float prevTime = 0;

    // Update is called once per frame
    void Update () {
        if(Time.time - prevTime > spawnRate) {
            scr_obstacleBehavior obstacleScript;
            int waveChoice = Random.Range(0, types.Count + 1);

            obstacleScript = Instantiate(obstacle).GetComponent<scr_obstacleBehavior>();
            if(waveChoice == types.Count) { //Flat
                obstacleScript.types = new List<string> { };
                obstacleScript.periods = new List<float> { };
                obstacleScript.amps = new List<float> { };
            }
            else {
                obstacleScript.types[0] = types[waveChoice];
                obstacleScript.periods[0] = periods[waveChoice];
                obstacleScript.amps[0] = 2 * amps[waveChoice];
            }
            prevTime = Time.time;
        }
    }
}
