﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class scr_onClick : MonoBehaviour {

    public GameObject display;
    public GameObject wave;
    public float scale;
    public int penalty = -1;

    private scr_draw_sine_copy waveData;
    private scr_draw_sine_copy displayData;
    private scr_score scoreScript;
    //private bool active = false;

    // Use this for initialization
    void Start() {
        waveData = wave.GetComponent<scr_draw_sine_copy>();
        displayData = display.GetComponent<scr_draw_sine_copy>();
        scoreScript = GameObject.FindWithTag("Score").GetComponent<scr_score>();
    }

    void Update() {
        if(Input.GetKey(KeyCode.LeftArrow) && waveData.types[0] == "sine"){
            setPlayerMovement();
        }
        else if(Input.GetKey(KeyCode.RightArrow) && waveData.types[0] == "square"){
            setPlayerMovement();
        }
        else {
            resetMovement();
        }
        if (Input.GetKeyDown(KeyCode.LeftArrow) || Input.GetKeyDown(KeyCode.RightArrow)) {
            scoreScript.setScore(penalty);
        }
        if (Input.GetKeyDown(KeyCode.Escape)) {
            Application.Quit();
        }
    }

    void OnMouseDown() {
        if (displayData.types.Contains(waveData.types[0])) {
            resetMovement();
        }
        else {
            setPlayerMovement();
        }
    }

    void setPlayerMovement() {
        List<float> scaledAmps = new List<float>();
        displayData.types = new List<string>();
        displayData.periods = new List<float>();
        displayData.amps = new List<float>();

        foreach (float amp in waveData.amps) {
            scaledAmps.Add(amp * scale);
        }
        displayData.types.AddRange(waveData.types);
        displayData.periods.AddRange(waveData.periods);
        displayData.amps.AddRange(scaledAmps);
    }

    void resetMovement() {
        for (int i = 0; i < waveData.types.Count; i++) {
            for (int j = 0; j < displayData.types.Count; j++) {
                if (displayData.types[j] == waveData.types[i] && displayData.periods[j] == waveData.periods[i]) {
                    displayData.types.RemoveAt(j);
                    displayData.periods.RemoveAt(j);
                    displayData.amps.RemoveAt(j);
                    break;
                }
            }
        }
    }
}